5 Replies Latest reply on Dec 27, 2014 9:50 AM by markusgolf

    LR 5.7--the Develop module format has changed to an earlier version. How to fix it?

    markusgolf

      I have had LR 5.7 installed for a long time without problems. All of a sudden the Develop Module has changed to what is apparently an earlier version. I'm not sure what to do. Can I download a new LR application?